boolean topLeft = false;
boolean topRight = false;
boolean bottomLeft = false;
boolean bottomRight = false;

void setup(){
  size(400,400);
  background(255);
  noStroke();
}

void draw(){
  background(255);
  if(topLeft){
    fill(0);
    rect(0, 0, width/2, height/2);
  }else{
    fill(255);
    rect(0, 0, width/2, height/2);
  }
  if(topRight){
    fill(0);
    rect(width/2, 0, width/2, height/2);
  }else{
    fill(255);
    rect(width/2, 0, width/2, height/2);
  }
  
  if(bottomLeft){
    fill(0);
    rect(0, height/2, width/2, height/2);
  }else{
    fill(255);
    rect(0, height/2, width/2, height/2);
  }
  if(bottomRight){
    fill(0);
    rect(width/2, height/2, width/2, height/2);
  }else{
    fill(255);
    rect(width/2, height/2, width/2, height/2);
  }   
}

void mousePressed(){
  if(mouseY < height/2){
    //we are in the top of the screen!
    if(mouseX < width/2){
      //we are in the top left of the screen!
      if(topLeft){
        //if the pixel is on, turn it off
        topLeft = false;
      }else{
        //if the pixel is off, turn it on
        topLeft = true;
      }
    }else{
      //we are in the top right of the screen!
      if(topRight){
        //if the pixel is on, turn it off
        topRight = false;
      }else{
        //if the pixel is off, turn it on
        topRight = true;
      }
    }
  }else{
    //we are in the bottom of the screen!
    if(mouseX < width/2){
      //we are in the bottom left of the screen!
      if(bottomLeft){
        //if the pixel is on, turn it off
        bottomLeft = false;
      }else{
        //if the pixel is off, turn it on
        bottomLeft = true;
      }
    }else{
      //we are in the top right of the screen!
      if(bottomRight){
        //if the pixel is on, turn it off
        bottomRight = false;
      }else{
        //if the pixel is off, turn it on
        bottomRight = true;
      }
    }
  }
}
